#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

long long aps(long long x)
{
    if(x<=0) return -x;
    return x;
}


int main()
{
    int n,m;
    cin >> n >> m;
    vector<long long> a(n);
    for(int i=0;i<n;i++) cin >> a[i];
    long long s=0;
    for(int i=0;i<m;i++)
    {
        int x,y;
        cin >> x >> y;
        s+=aps(a[x-1]+a[y-1]);
    }
    cout << s;
    return 0;
}